Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452418 - Strange version format in /usr/lib/pkgconfig/devmapper.pc
Summary: Strange version format in /usr/lib/pkgconfig/devmapper.pc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 16:04 UTC by Robert Scheck
Modified: 2008-11-01 20:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-01 20:16:17 UTC


Attachments (Terms of Use)

Description Robert Scheck 2008-06-22 16:04:39 UTC
Description of problem:
/usr/lib/pkgconfig/devmapper.pc contains:

  Version: "1.02.26 (2008-06-06)"

which is a very strange format. Can we please change this to

  Version: 1.02.26

for future packages, please? Thank you. AFAIK the device-mapper is the only
package in the whole Fedora which does such things. Please correct, thanks.

Version-Release number of selected component (if applicable):
device-mapper-1.02.26-1

How reproducible:
Everytime, see above.

Actual results:
Strange version format in /usr/lib/pkgconfig/devmapper.pc

Expected results:
Version: 1.02.26 in /usr/lib/pkgconfig/devmapper.pc without any quotation marks

Comment 1 Robert Scheck 2008-06-22 16:29:53 UTC
Best fix would be upstream. Downstream suggestion would be:

  sed -e 's/Version: .*/Version: %{device_mapper_version}/' \
    -i $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libdevmapper.pc

after installation somewhere in %install.

Comment 2 Robert Scheck 2008-06-22 16:31:17 UTC
Ehm...devmapper, not libdevmapper of course, so:

  sed -e 's/Version: .*/Version: %{device_mapper_version}/' \
    -i $RPM_BUILD_ROOT%{_libdir}/pkgconfig/devmapper.pc

Comment 3 Robert Scheck 2008-07-27 14:41:26 UTC
Ping?

Comment 4 Robert Scheck 2008-11-01 18:55:01 UTC
Ping?

Comment 5 Alasdair Kergon 2008-11-01 20:16:17 UTC
Only an upstream patch will be considered of course, not a spec file workaround.

Added DM_LIB_PATCHLEVEL.  Will hit rawhide in f11 rebase.


Note You need to log in before you can comment on or make changes to this bug.